import { showFailToast } from 'vant';

async function postRequest(url, data) {
    const response = await fetch(url, {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(data)
    })
    const resp_data = await response.json()
    if (!response.ok) {
        showFailToast({
            message: resp_data.detail
        })
    }
    return resp_data
}


export {
    postRequest
}